%% ------  Lezione 1, 3 ottobre 2016 ------ 
% Il presente mini tutorial vuole essere la prosecuzione
% di quanto presente nel file Lezione1Lab.pdf

clear all; % cancella il contenuto di memoria
close all; % cancella tutte le figure presenti nella sessione
clc; % pulisce lo schermo

% Dichiarazione di variabili
a = [1 2];
b = [4 5]; % Il punto e virgola alla fine sopprime la visualizzazione dell'output

% Semplici operazioni vettoriali: voglio calcolare il determinante della matrice [a; b];
c = [a;b]
determinante = c(1,1)*c(2,2) - c(1,2)*c(2,1)
% In alternativa, uso la funzione det:
determinante = det(c) % NB: La variabile e' stata sovrascritta

%% Esercizi

% 1) Costruire una matrice riempita di 1 che abbia dimensioni 10x10:
% - sostituire il valore in posizione (8,1) con 4
% - estrarre e stampare a video la sottomatrice 3x3 corrispondente all'angolo 
%   in basso a sinistra della matrice (ultime 3 righe / prime 3 colonne)
% - Elevare la sottomatrice al quadrato
% - Elevare ogni elemento della sottomatrice al quadrato

% 2) Inizializzare due vettori v1 e v2 con i valori [0 0] e [1 1] 
% rispettivamente.
% Assumendo che i due numeri contenuti nel vettore siano coordinate 
% (x,y) in un piano cartesiano, calcolare la distanza euclidea 
% tra v1 e v2.
% Comandi utili: sum, sqrt

% 3) Ripetere l'esercizio inizializzando v1 con [2; 0] e v2 con [0; 2]
% E' importante che i vettori siano definiti in riga o in colonna?

% 4) Concatenare le distanze trovate negli esercizi 2) e 3) in un unico
% vettore D e calcolarne la media. 
% E' possibile effettuare l'operazione inv(D)? Perché?

